Get Account Statement
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/user/statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.example.com/user/statement \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/user/statement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/user/statement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/user/statement")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/user/statement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"type": "card_transaction",
"id": "<string>",
"amount": "<string>",
"currency": "<string>",
"decimals": 123,
"originalAmount": "<string>",
"originalCurrency": "<string>",
"originalDecimals": 123,
"isCredit": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"authorizationId": 123,
"mcc": "<string>",
"authorizationCode": "<string>",
"merchant": {
"name": "<string>",
"city": "<string>",
"country": "<string>",
"categoryCode": "<string>"
},
"entryMode": "<string>",
"billing": {
"billingAmount": "<string>",
"billingCurrency": {
"symbol": "<string>",
"code": "<string>",
"decimals": 123,
"name": "<string>"
}
},
"transactionCurrency": {
"symbol": "<string>",
"code": "<string>",
"decimals": 123,
"name": "<string>"
},
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardToken": "<string>",
"clearedAt": "2023-11-07T05:31:56Z",
"isPending": true,
"transactions": [
{
"status": "<string>",
"to": "<string>",
"value": "<string>",
"data": "<string>",
"hash": "<string>"
}
],
"declineReason": {
"code": "<string>",
"message": "<string>"
},
"wallet": {
"deviceBrand": "<string>",
"deviceModel": "<string>",
"deviceType": "<string>",
"deviceName": "<string>"
}
}
],
"pagination": {
"nextCursor": "<string>",
"hasNext": true
}
}{
"kind": "validation",
"success": false,
"error": {
"name": "ValidationError",
"message": "<string>"
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}User
Get Account Statement
Returns a chronological list of all financial movements for the authenticated user’s account, including card transactions (both pending and settled), deposits, and withdrawals.
GET
/
user
/
statement
Get Account Statement
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/user/statement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.example.com/user/statement \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/user/statement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/user/statement"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/user/statement")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/user/statement")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"type": "card_transaction",
"id": "<string>",
"amount": "<string>",
"currency": "<string>",
"decimals": 123,
"originalAmount": "<string>",
"originalCurrency": "<string>",
"originalDecimals": 123,
"isCredit": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"authorizationId": 123,
"mcc": "<string>",
"authorizationCode": "<string>",
"merchant": {
"name": "<string>",
"city": "<string>",
"country": "<string>",
"categoryCode": "<string>"
},
"entryMode": "<string>",
"billing": {
"billingAmount": "<string>",
"billingCurrency": {
"symbol": "<string>",
"code": "<string>",
"decimals": 123,
"name": "<string>"
}
},
"transactionCurrency": {
"symbol": "<string>",
"code": "<string>",
"decimals": 123,
"name": "<string>"
},
"cardId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cardToken": "<string>",
"clearedAt": "2023-11-07T05:31:56Z",
"isPending": true,
"transactions": [
{
"status": "<string>",
"to": "<string>",
"value": "<string>",
"data": "<string>",
"hash": "<string>"
}
],
"declineReason": {
"code": "<string>",
"message": "<string>"
},
"wallet": {
"deviceBrand": "<string>",
"deviceModel": "<string>",
"deviceType": "<string>",
"deviceName": "<string>"
}
}
],
"pagination": {
"nextCursor": "<string>",
"hasNext": true
}
}{
"kind": "validation",
"success": false,
"error": {
"name": "ValidationError",
"message": "<string>"
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Query Parameters
Maximum number of items to return (1-100).
Required range:
1 <= x <= 100Cursor for pagination. Use the value from the previous response.
Filter by start date (inclusive).
Filter by end date (inclusive).
⌘I